KDE 4.6 PyKDE API Reference

- KDE's Python API

# HTMLIsIndexElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

This element is used for single-line text input. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#edef-ISINDEX"> ISINDEX element definition in HTML 4.0. This element is deprecated in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLIsIndexElement other)
| __init__ (self, DOM.Node other)
DOM.HTMLFormElement | form (self)
DOM.DOMString | prompt (self)
| setPrompt (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLIsIndexElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.HTMLFormElement form | ( |  | self ) |

### KDE 4.0: remove

DOM.DOMString prompt | ( |  | self ) |

The prompt message. See the <a href="http://www.w3.org/TR/REC-html40/interact/forms.html#adef-prompt"> prompt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setPrompt | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see prompt